- fix previous commit message
[packages/rpm.git] / rpm.spec
CommitLineData
52c10eff 1#
2# TODO:
76f35df6
JB
3# - python(abi) cap is not provided automatically (because /usr/bin/python matches
4# ELF first; it should be provided by python-libs not binary anyway)
a245b6ce 5# - repackaging when lzma is not installed (todo: fix digest signature of header)
351a0199
JB
6# rpmbuild computes digest when writing package to temporary file, then adds a few
7# tags (incl. digest) and writes whole package to destination file;
8# repackaging uses unchanged "immutable header" image from original rpm, also
9# preserving payload format and compressor from original rpm, _not_ current settings
10abbd40 10#
89427592 11# Conditional build:
01d7a578 12%bcond_with static # build static rpm+rpmi
4af66a2c
JB
13%bcond_without apidocs # don't generate documentation with doxygen
14%bcond_with autoreqdep # autogenerate package name deps in addition to sonames/perl(X)
15%bcond_without python # don't build python bindings
16%bcond_without selinux # build without selinux support
632f1b5c 17%bcond_without system_libmagic # don't use system libmagic
33be5db0 18%bcond_with neon # build with HTTP/WebDAV support (neon library)
89427592
JB
19# force_cc - force using __cc other than "%{_target_cpu}-pld-linux-gcc"
20# force_cxx - force using __cxx other than "%{_target_cpu}-pld-linux-g++"
21# force_cpp - force using __cpp other than "%{_target_cpu}-pld-linux-gcc -E"
54bfdf99 22
003a039e 23# versions of required libraries
83d6a3fe 24%define reqdb_ver 4.4.20
b60c74c3 25%define reqpopt_ver 1.10.6
33be5db0 26%define beecrypt_ver 2:4.1.2-4
10abbd40 27%define sover 4.4
e5f02e49
AM
28Summary: RPM Package Manager
29Summary(de): RPM Packet-Manager
313a4d1a 30Summary(es): Gestor de paquetes RPM
609cc585 31